/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef STEREOPIXEL_PRINT_H
#define STEREOPIXEL_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/viamTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/stereopixelPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_STEREOPIXEL_THREEDIMAGE_POSTER_STR ( buf_t buf, struct STEREOPIXEL_THREEDIMAGE_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_STEREOPIXEL_DISPARITY_POSTER_STR ( buf_t buf, struct STEREOPIXEL_DISPARITY_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_STEREOPIXEL_STR ( buf_t buf, struct STEREOPIXEL_STR *x, int nDim, int *dims);
void buf_add_struct_SpixCorrelationResult ( buf_t buf, struct SpixCorrelationResult *x, int nDim, int *dims);
void buf_add_struct_SpixSaveParams ( buf_t buf, struct SpixSaveParams *x, int nDim, int *dims);
void buf_add_enum_SpixFrameCoord ( buf_t buf, enum SpixFrameCoord *x, int nDim, int *dims);
void buf_add_struct_SpixBlobFilter ( buf_t buf, struct SpixBlobFilter *x, int nDim, int *dims);
void buf_add_struct_SpixCorrelParams ( buf_t buf, struct SpixCorrelParams *x, int nDim, int *dims);
void buf_add_enum_SpixInterpolationType ( buf_t buf, enum SpixInterpolationType *x, int nDim, int *dims);
void buf_add_enum_SpixCorrelType ( buf_t buf, enum SpixCorrelType *x, int nDim, int *dims);
void buf_add_struct_SpixName ( buf_t buf, struct SpixName *x, int nDim, int *dims);
void buf_add_struct_Spix3DImage ( buf_t buf, struct Spix3DImage *x, int nDim, int *dims);
void buf_add_struct_Spix3DPixel ( buf_t buf, struct Spix3DPixel *x, int nDim, int *dims);
void buf_add_struct_SpixDisparity ( buf_t buf, struct SpixDisparity *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_SpixDisparity ( buf_t buf, SpixDisparity *x, int nDim, int *dims);
void buf_add_Spix3DPixel ( buf_t buf, Spix3DPixel *x, int nDim, int *dims);
void buf_add_Spix3DImage ( buf_t buf, Spix3DImage *x, int nDim, int *dims);
void buf_add_SpixName ( buf_t buf, SpixName *x, int nDim, int *dims);
void buf_add_SpixCorrelType ( buf_t buf, SpixCorrelType *x, int nDim, int *dims);
void buf_add_SpixInterpolationType ( buf_t buf, SpixInterpolationType *x, int nDim, int *dims);
void buf_add_SpixCorrelParams ( buf_t buf, SpixCorrelParams *x, int nDim, int *dims);
void buf_add_SpixBlobFilter ( buf_t buf, SpixBlobFilter *x, int nDim, int *dims);
void buf_add_SpixFrameCoord ( buf_t buf, SpixFrameCoord *x, int nDim, int *dims);
void buf_add_SpixSaveParams ( buf_t buf, SpixSaveParams *x, int nDim, int *dims);
void buf_add_SpixCorrelationResult ( buf_t buf, SpixCorrelationResult *x, int nDim, int *dims);
void buf_add_STEREOPIXEL_STR ( buf_t buf, STEREOPIXEL_STR *x, int nDim, int *dims);
void buf_add_STEREOPIXEL_DISPARITY_POSTER_STR ( buf_t buf, STEREOPIXEL_DISPARITY_POSTER_STR *x, int nDim, int *dims);
void buf_add_STEREOPIXEL_THREEDIMAGE_POSTER_STR ( buf_t buf, STEREOPIXEL_THREEDIMAGE_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* STEREOPIXEL_TCLSERV_CLIENT_ENCODE_H */

